Published:2013/06/11  Last Updated:2013/06/11

Galapagos Browser vulnerable in the WebView class


Galapagos Browser contains an issue in the WebView class.

Products Affected

  • Galapagos Browser


Galapagos Browser is a web browser for Android devices. Galapagos Browser contains a vulnerability in the WebView class.


If a user of the affected product uses other malicious Android application, information managed by the affected product may be disclosed.


Do not use Galapagos Browser
Please stop using Galapagos Browser.
The developer has stated that the development of Galapagos Browser has been discontinued.

Vendor Status

Vendor Link
Jun.I Galapagos Browser


JPCERT/CC Addendum

Vulnerability Analysis by JPCERT/CC

Analyzed on 2013.06.11

Measures Conditions Severity
Access Required can be attacked over the Internet using packets
  • High
Authentication anonymous or no authentication (IP addresses do not count)
  • High
User Interaction Required the user must be convinced to take a difficult or suspicious action. If the honest user must have elevated privileges, they are likely to be more suspicious
  • Low
Exploit Complexity some expertise and/or luck required (most buffer overflows, guessing correctly in small space, expertise in Windows function calls)
  • Mid-High

Description of each analysis measures


This analysis assumes that the user is tricked into installing a malicious application.


Gaku Mochizuki of Mitsui Bussan Secure Directions, Inc. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.

Other Information

JPCERT Reports
CERT Advisory
CPNI Advisory
CVE CVE-2013-3643
JVN iPedia JVNDB-2013-000056